import { CreateSessionResponse } from '@dvn/kimlik/api/dto';
import { GetSessionResponse } from '@dvn/kimlik/api/dto/CreateSession';
import { KimlikApi } from '@dvn/kimlik/api/kimlikApi';
export declare class KimlikApiMentornity implements KimlikApi {
  private api;
  constructor(endpoint: string, headers?: any);
  activateUser(_email: string, _firstName: string, _lastName: string, _password: string): Promise<CreateSessionResponse>;
  addAuthInterceptor(token: string): void;
  login(email: string, password: string): Promise<CreateSessionResponse>;
  logout(): Promise<{}>;
  register(_email: string, _firstName: string, _lastName: string, _password: string): Promise<CreateSessionResponse>;
  getSession(): Promise<GetSessionResponse>;
}
